### Function

# Foundry file_query_exists_nofollow

#### Declaration [src]

    DexFuture*
    foundry_file_query_exists_nofollow (
      GFile* file
    )

#### Description [src]

Resolves to true if `file` exists.

Does not follow symlink.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A future that resolves to a boolean.

The caller of the function takes ownership of the data, and is responsible for freeing it.